﻿using System;
using System.Collections.Generic;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Live;
using Windows.Storage;
using System.IO;
namespace P13_1
{
    public partial class MainPage : PhoneApplicationPage
    {
        private LiveConnectClient client;
        private LiveConnectSession session;

        // Конструктор
        public MainPage()
        {
            InitializeComponent();
        }
        //Аутентификаия
        private void btnSignIn_SessionChanged(object sender, Microsoft.Live.Controls.LiveConnectSessionChangedEventArgs e)
        {
            if (e.Status == LiveConnectSessionStatus.Connected)
            {
                session = e.Session;
                client = new LiveConnectClient(session);
                tbInfo.Text = "Вход выполнен.";
            }
            else
            {
                tbInfo.Text = "Вход не выполнен.";
                client = null;
            }

        }
        //Отправка файла
        private async void btnSendFile_Click(object sender, RoutedEventArgs e)
        {

            try
            {

                //Получаем файл из установочного пакета приложения
                StorageFile helloFile = await StorageFile.GetFileFromApplicationUriAsync(new Uri("ms-appx:///HelloFile.txt"));
                //Открываем файл для чтения

                using (Stream file = await helloFile.OpenStreamForReadAsync())
                {
                    //отправляем файл
                    await client.UploadAsync("me/skydrive/public_documents", "NewFile.txt", file, OverwriteOption.Overwrite);

                }

                MessageBox.Show("Файл отправлен");
            }
            catch
            {

                MessageBox.Show("Произошла ошибка");
            }
        }
        //Загрузка файла
        private async void btnReceive_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                //Для идентификатора файла
                string fileId = "";
                //получаем список файлов в папке
                LiveOperationResult res = await client.GetAsync("me/skydrive/public_documents/files");
                //Перебираем результаты
                List<object> data = (List<object>)res.Result["data"];
                foreach (IDictionary<string, object> content in data)
                {
                    string type = (string)content["type"];
                    if (type != "folder")
                    {
                        //Если объект не является папкой, проверяем имя
                        //Если нужное имя найдено - сохраняем идентификатор файла
                        if ((string)content["name"] == "NewFile.txt")
                        {
                            fileId = (string)content["id"];
                        }
                    }

                }
                //Загружаем файл
                LiveDownloadOperationResult res1 = await client.DownloadAsync(fileId + "/content");
                StreamReader sr = new StreamReader(res1.Stream);
                //Выводим содержимое файла в текстовое поле
                txtData.Text = sr.ReadToEnd();
                sr.Dispose();
            }
            catch
            {
                MessageBox.Show("Произошла ошибка");
            }
        }
    }
}

        

    
